%define	name	unison
%define	version	2.27.57
%define release	1

Summary:	File-synchronization tool for Unix and Windows
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{release}
License:	GPLv2
Group:		File tools
Requires:	openssh-clients x11-font-schumacher-misc rsync
BuildRequires:	ocaml-lablgtk2-devel gtk+2-devel glib2-devel pango-devel emacs-bin
Source0:	http://www.cis.upenn.edu/~bcpierce/unison/download/release/%name-%version/%name-%version.tar.lzma
Source1:        unison.png
Source2:	%{name}-%{version}-manual.pdf
Patch0:		Makefile.OCaml.patch
URL:		http://www.cis.upenn.edu/~bcpierce/unison/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Unison is a file-synchronization tool for Unix and Windows. It allows
two replicas of a collection of files and directories to be stored on
different hosts (or different disks on the same host), modified
separately, and then brought up to date by propagating the changes in
each replica to the other. Unlike simple mirroring or backup
utilities, Unison can deal with updates to both replicas of a
distributed directory structure. Updates that do not conflict are
propagated automatically.  Conflicting updates are detected and
displayed. Unison can synchronize either locally (between volumes
mounted on the same computer) or remotely,between any pair of machines
connected to the internet, communicating over either a direct socket
link or tunneling over an rsh or an encrypted ssh connection. It is
careful with network bandwidth, and runs well over slow links such as
PPP connections. Unison is available for both Windows (95/98/NT/2K)
and Unix (Linux, Solaris). Moreover, Unison works across platforms,
allowing you to synchronize a Windows laptop with a Unix server, for
example.

%prep
%setup -q
%patch0 -p0

%build
make THREADS=true UISTYLE=gtk2

%install
%__rm -rf $RPM_BUILD_ROOT
install -m755 %{name} -D $RPM_BUILD_ROOT%{_bindir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp -f %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp -f %{SOURCE2} .

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{summary}
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=GTK;Network;FileTransfer;P2P;
EOF

%clean
%__rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc NEWS TODO.txt README CONTRIB COPYING %{name}-%{version}-manual.pdf
%{_bindir}/*
%{_datadir}/applications/mandriva-%{name}.desktop
%{_datadir}/pixmaps/*




%changelog
* Thu Jul 03 2008 Lev Givon <lev@mandriva.org> 2.27.57-1mdv2009.0
+ Revision: 231198
- Update to 2.27.57.

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 01 2007 Emmanuel Andry <eandry@mandriva.org> 2.17.1-3mdv2008.0
+ Revision: 77708
- add icon from fedora

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Sat Mar 17 2007 Emmanuel Andry <eandry@mandriva.org> 2.17.1-3mdv2007.1
+ Revision: 145517
- enable threads
- requires x11-font-schumacher-misc (bug #24811)
- requires rsync

* Fri Jan 05 2007 Emmanuel Andry <eandry@mandriva.org> 2.17.1-1mdv2007.1
+ Revision: 104646
- New version 2.17.1
  fix source URL
- Import unison

* Mon Aug 28 2006 Emmanuel Andry <eandry@mandriva.org> 2.13.16-2mdv2007.0
- switch to gtk+2
- xdg menu

* Fri Aug 26 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.13.16-1mdk
- 2.13.16
- %%mkrel
- wipe out buildroot at the beginning of %%install

* Wed Jul 06 2005 Lenny Cartier <lenny@mandriva.com> 2.12.0-1mdk
- 2.12.0

* Fri Apr 23 2004 Götz Waschk <waschk@linux-mandrake.com> 2.9.1-7mdk
- fix buildrequires

